Index: ThirdParty/mpqc_open/src/lib/scconfig.h.in
===================================================================
--- ThirdParty/mpqc_open/src/lib/scconfig.h.in	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
+++ ThirdParty/mpqc_open/src/lib/scconfig.h.in	(revision 482400e8cc8411277a4dad69aafe9bcd69724f4b)
@@ -1,343 +1,359 @@
-
-#ifndef _CONFIG_H
-#define _CONFIG_H
-
-#ifndef __cplusplus
-
-/* Define to empty if the keyword does not work.  */
+/* src/lib/scconfig.h.in.  Generated from configure.ac by autoheader.  */
+
+/* "always use MPI" */
+#undef ALWAYS_USE_MPI
+
+/* "c++ restricted extensions" */
+#undef CXX_RESTRICT
+
+/* "use ARMCI as default" */
+#undef DEFAULT_ARMCI
+
+/* "use MPI as default" */
+#undef DEFAULT_MPI
+
+/* "use multi-threaded MPI as default" */
+#undef DEFAULT_MTMPI
+
+/* "default memory allocation" */
+#undef DEFAULT_SC_MEMORY
+
+/* "template instantiation flags" */
+#undef EXPLICIT_TEMPLATE_INSTANTIATION
+
+/* "use ARMCI" */
+#undef HAVE_ARMCI
+
+/* Define to 1 if you have the <asm/fpu.h> header file. */
+#undef HAVE_ASM_FPU_H
+
+/* "use backtrace" */
+#undef HAVE_BACKTRACE
+
+/* "have CCA chem headers" */
+#undef HAVE_CCA_CHEM_HEADERS
+
+/* "have CCA spec babel headers" */
+#undef HAVE_CCA_SPEC_BABEL_HEADERS
+
+/* Define to 1 if you have the `ctime' function. */
+#undef HAVE_CTIME
+
+/* Define to 1 if you have the <dlfcn.h> header file. */
+#undef HAVE_DLFCN_H
+
+/* Define to 1 if you don't have `vprintf' but do have `_doprnt.' */
+#undef HAVE_DOPRNT
+
+/* Define to 1 if you have the `drand48' function. */
+#undef HAVE_DRAND48
+
+/* Define to 1 if you have the <endian.h> header file. */
+#undef HAVE_ENDIAN_H
+
+/* "have fchdir" */
+#undef HAVE_FCHDIR
+
+/* Define to 1 if you have the <fcntl.h> header file. */
+#undef HAVE_FCNTL_H
+
+/* Define to 1 if you have the `fedisableexcept' function. */
+#undef HAVE_FEDISABLEEXCEPT
+
+/* Define to 1 if you have the `feenableexcept' function. */
+#undef HAVE_FEENABLEEXCEPT
+
+/* Define to 1 if you have the <fenv.h> header file. */
+#undef HAVE_FENV_H
+
+/* Define to 1 if you have the <fp.h> header file. */
+#undef HAVE_FP_H
+
+/* Define to 1 if you have the `geteuid' function. */
+#undef HAVE_GETEUID
+
+/* Define to 1 if you have the `gethostname' function. */
+#undef HAVE_GETHOSTNAME
+
+/* Define to 1 if you have the `getpwuid' function. */
+#undef HAVE_GETPWUID
+
+/* Define to 1 if you have the <inttypes.h> header file. */
+#undef HAVE_INTTYPES_H
+
+/* Define to 1 if you have the <iostream> header file. */
+#undef HAVE_IOSTREAM
+
+/* "have iostream format flags" */
+#undef HAVE_IOS_FMTFLAGS
+
+/* "isnan available" */
+#undef HAVE_ISNAN
+
+/* "have libderiv" */
+#undef HAVE_LIBDERIV
+
+/* Define to 1 if you have the <libderiv/libderiv.h> header file. */
+#undef HAVE_LIBDERIV_LIBDERIV_H
+
+/* Define to 1 if you have the `dl' library (-ldl). */
+#undef HAVE_LIBDL
+
+/* Define to 1 if you have the `fl' library (-lfl). */
+#undef HAVE_LIBFL
+
+/* "have libint" */
+#undef HAVE_LIBINT
+
+/* Define to 1 if you have the <libint/libint.h> header file. */
+#undef HAVE_LIBINT_LIBINT_H
+
+/* Define to 1 if you have the `m' library (-lm). */
+#undef HAVE_LIBM
+
+/* "have libr12" */
+#undef HAVE_LIBR12
+
+/* Define to 1 if you have the <libr12/libr12.h> header file. */
+#undef HAVE_LIBR12_LIBR12_H
+
+/* Define to 1 if you have the <limits.h> header file. */
+#undef HAVE_LIMITS_H
+
+/* "have long long" */
+#undef HAVE_LONG_LONG
+
+/* Define to 1 if you have the <machine/endian.h> header file. */
+#undef HAVE_MACHINE_ENDIAN_H
+
+/* Define to 1 if you have the <machine/fpu.h> header file. */
+#undef HAVE_MACHINE_FPU_H
+
+/* Define to 1 if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
+
+/* "have MPI" */
+#undef HAVE_MPI
+
+/* "have MPI IO extensions" */
+#undef HAVE_MPIIO
+
+/* "have MPI PP" */
+#undef HAVE_MPIPP
+
+/* "have MPI init thread" */
+#undef HAVE_MPI_INIT_THREAD
+
+/* "have NIAMA" */
+#undef HAVE_NIAMA
+
+/* "use perf" */
+#undef HAVE_PERF
+
+/* "use pthreads" */
+#undef HAVE_PTHREAD
+
+/* "have pubseekoff" */
+#undef HAVE_PUBSEEKOFF
+
+/* Define to 1 if you have the <pwd.h> header file. */
+#undef HAVE_PWD_H
+
+/* "have scalabale blas" */
+#undef HAVE_SCALABLE_BLAS
+
+/* "have seekoff" */
+#undef HAVE_SEEKOFF
+
+/* Define to 1 if you have the `semget' function. */
+#undef HAVE_SEMGET
+
+/* Define to 1 if you have the `setenv' function. */
+#undef HAVE_SETENV
+
+/* Define to 1 if you have the `setrlimit' function. */
+#undef HAVE_SETRLIMIT
+
+/* "have sgetn" */
+#undef HAVE_SGETN
+
+/* Define to 1 if you have the `shmget' function. */
+#undef HAVE_SHMGET
+
+/* "have sidl" */
+#undef HAVE_SIDL_HEADERS
+
+/* Define to 1 if you have the `sigfillset' function. */
+#undef HAVE_SIGFILLSET
+
+/* Define to 1 if you have the `signal' function. */
+#undef HAVE_SIGNAL
+
+/* Define to 1 if you have the <sstream> header file. */
+#undef HAVE_SSTREAM
+
+/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H
+
+/* Define to 1 if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H
+
+/* Define to 1 if you have the `strerror' function. */
+#undef HAVE_STRERROR
+
+/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
+
+/* Define to 1 if you have the <string.h> header file. */
+#undef HAVE_STRING_H
+
+/* Define to 1 if you have the `system' function. */
+#undef HAVE_SYSTEM
+
+/* "use SYSVIPC" */
+#undef HAVE_SYSV_IPC
+
+/* Define to 1 if you have the <sys/endian.h> header file. */
+#undef HAVE_SYS_ENDIAN_H
+
+/* Define to 1 if you have the <sys/ioctl.h> header file. */
+#undef HAVE_SYS_IOCTL_H
+
+/* Define to 1 if you have the <sys/ipc.h> header file. */
+#undef HAVE_SYS_IPC_H
+
+/* Define to 1 if you have the <sys/machine.h> header file. */
+#undef HAVE_SYS_MACHINE_H
+
+/* Define to 1 if you have the <sys/resource.h> header file. */
+#undef HAVE_SYS_RESOURCE_H
+
+/* Define to 1 if you have the <sys/sem.h> header file. */
+#undef HAVE_SYS_SEM_H
+
+/* Define to 1 if you have the <sys/shm.h> header file. */
+#undef HAVE_SYS_SHM_H
+
+/* Define to 1 if you have the <sys/stat.h> header file. */
+#undef HAVE_SYS_STAT_H
+
+/* Define to 1 if you have the <sys/times.h> header file. */
+#undef HAVE_SYS_TIMES_H
+
+/* Define to 1 if you have the <sys/time.h> header file. */
+#undef HAVE_SYS_TIME_H
+
+/* Define to 1 if you have the <sys/types.h> header file. */
+#undef HAVE_SYS_TYPES_H
+
+/* Define to 1 if you have the <termios.h> header file. */
+#undef HAVE_TERMIOS_H
+
+/* Define to 1 if you have the `time' function. */
+#undef HAVE_TIME
+
+/* Define to 1 if you have the <time.h> header file. */
+#undef HAVE_TIME_H
+
+/* "use typename keyword" */
+#undef HAVE_TYPENAME
+
+/* Define to 1 if you have the <unistd.h> header file. */
+#undef HAVE_UNISTD_H
+
+/* Define to 1 if you have the `vprintf' function. */
+#undef HAVE_VPRINTF
+
+/* "host" */
+#undef HOST_ARCH
+
+/* "install SC libdir" */
+#undef INSTALLED_SCLIBDIR
+
+/* Define to the sub-directory in which libtool stores uninstalled libraries.
+   */
+#undef LT_OBJDIR
+
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the home page for this package. */
+#undef PACKAGE_URL
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
+/* "do not check for reference count overwrites" */
+#undef REF_OPTIMIZE
+
+/* Define as the return type of signal handlers (`int' or `void'). */
+#undef RETSIGTYPE
+
+/* "SC data dir" */
+#undef SCDATADIR
+
+/* "build identifier" */
+#undef SC_BUILDID
+
+/* "major version number" */
+#undef SC_MAJOR_VERSION
+
+/* "micro version number" */
+#undef SC_MICRO_VERSION
+
+/* "minor version number" */
+#undef SC_MINOR_VERSION
+
+/* "thread level for MPI" */
+#undef SC_MPI_THREAD_LEVEL
+
+/* "SC version" */
+#undef SC_VERSION
+
+/* "semctl requires semun" */
+#undef SEMCTL_REQUIRES_SEMUN
+
+/* "type to use in shared memory" */
+#undef SHMTYPE
+
+/* "signal handler needs ellipsis" */
+#undef SIGHASELLIP
+
+/* "source SC libdir" */
+#undef SRC_SCLIBDIR
+
+/* Define to 1 if you have the ANSI C header files. */
+#undef STDC_HEADERS
+
+/* "target" */
+#undef TARGET_ARCH
+
+/* Define to 1 if your <sys/time.h> declares `struct tm'. */
+#undef TM_IN_SYS_TIME
+
+/* "using namespace std" */
+#undef USING_NAMESPACE_STD
+
+/* "use big endian encoding" */
+#undef WORDS_BIGENDIAN
+
+/* Define to empty if `const' does not conform to ANSI C. */
 #undef const
 
-#endif /* __cplusplus */
-
-#ifdef __cplusplus
-
-/* Define if the C++ restrict keyword extension exists.  */
-#undef CXX_RESTRICT
-
-#ifdef CXX_RESTRICT
-#define restrictxx restrict
-#else
-#define restrictxx
-#endif
-
-#endif
-
-/* Define if you want to optimize the reference counting code.  */
-#undef REF_OPTIMIZE
-
-/* Define if you have <stdint.h>.  */
-#undef HAVE_STDINT_H
-
-/* Define if you have <sys/stat.h>.  */
-#undef HAVE_SYS_STAT_H
-
-/* Define if you have <sys/types.h>.  */
-#undef HAVE_SYS_TYPES_H
-
-/* Define if you have <pwd.h>.  */
-#undef HAVE_PWD_H
-
-/* Define if you have <termios.h>.  */
-#undef HAVE_TERMIOS_H
-
-/* Define if you have <sys/times.h>.  */
-#undef HAVE_SYS_TIMES_H
-
-/* Define if you have <time.h>.  */
-#undef HAVE_TIME_H
-
-/* Define if you have <machine/fpu.h>.  */
-#undef HAVE_MACHINE_FPU_H
-
-/* Define if you have <asm/fpu.h>.  */
-#undef HAVE_ASM_FPU_H
-
-/* Define if you have <sys/resource.h>.  */
-#undef HAVE_SYS_RESOURCE_H
-
-/* Define if <sstream> is present.  */
-#undef HAVE_SSTREAM
-
-/* Define if you have the vprintf function.  */
-#undef HAVE_VPRINTF
-
-/* Define if you have the ios::fmtflags.  */
-#undef HAVE_IOS_FMTFLAGS
-
-/* Define if you have the long long type extension.  */
-#ifndef HAVE_LONG_LONG
-#undef HAVE_LONG_LONG
-#endif
-
-/* Define if you have streambuf::pubseekoff (you should).  */
-#undef HAVE_PUBSEEKOFF
-
-/* Define if you have streambuf::sgetn (you should).  */
-#undef HAVE_SGETN
-
-/* Define if you have a public streambuf::seekoff.  */
-#undef HAVE_SEEKOFF
-
-/* Define as the return type of signal handlers (int or void).  */
-#undef RETSIGTYPE
-
-/* Define if signal handlers have an ellipsis argument in C++.  */
-#undef SIGHASELLIP
-
-/* Define to `unsigned' if <sys/types.h> doesn't define.  */
+/* "convert keyword to none for c++ restricted extensions" */
+#undef restrictxx
+
+/* Define to `unsigned int' if <sys/types.h> does not define. */
 #undef size_t
 
-/* Define if you have the ANSI C header files.  */
-#undef STDC_HEADERS
-
-/* Define if your <sys/time.h> declares struct tm.  */
-#undef TM_IN_SYS_TIME
-
-/* Define if you have the strerror function.  */
-#undef HAVE_STRERROR
-
-/* Define if you have the setenv function.  */
-#undef HAVE_SETENV
-
-/* Define if isnan is available from C++.  */
-#undef HAVE_ISNAN
-
-/* Define if you have the sigfillset function (and company).  */
-#undef HAVE_SIGFILLSET
-
-/* Define if you have the signal function.  */
-#undef HAVE_SIGNAL
-
-/* Define if you have the system function.  */
-#undef HAVE_SYSTEM
-
-/* Define if you have the drand48 function.  */
-#undef HAVE_DRAND48
-
-/* Define if you have the isnan function.  */
-#undef HAVE_ISNAN
-
-/* Define if you have the fchdir function.  */
-#undef HAVE_FCHDIR
-
-/* Define if you have the getpwuid function.  */
-#undef HAVE_GETPWUID
-
-/* Define if you have the geteuid function.  */
-#undef HAVE_GETEUID
-
-/* Define if you have the gethostname function.  */
-#undef HAVE_GETHOSTNAME
-
-/* Define if you have the time function.  */
-#undef HAVE_TIME
-
-/* Define if you have the ctime function.  */
-#undef HAVE_CTIME
-
-/* Define if you have the C99 <fenv.h>.  */
-#undef HAVE_FENV_H
-
-/* Define if you have the glibc feenableexcept extension.  */
-#undef HAVE_FEENABLEEXCEPT
-
-/* Define if you have the glibc fedisableexcept extension.  */
-#undef HAVE_FEDISABLEEXCEPT
-
-/* Define if you have the setrlimit function.  */
-#undef HAVE_SETRLIMIT
-
-/* Define if you have functioning SYSV IPC.  */
-#undef HAVE_SYSV_IPC
-
-/* Define if semctl must have a semun as the fourth argument.  */
-#undef SEMCTL_REQUIRES_SEMUN
-
-/* Define to the type used for shared memory.  */
-/* #undef SHMTYPE */
-
-#ifndef SHMTYPE
-#define SHMTYPE char*
-#endif
-
-/* Define if you have the <fcntl.h> header file.  */
-#undef HAVE_FCNTL_H
-
-/* Define if you have the <limits.h> header file.  */
-#undef HAVE_LIMITS_H
-
-/* Define if you have the <sys/ioctl.h> header file.  */
-#undef HAVE_SYS_IOCTL_H
-
-/* Define if you have the <sys/time.h> header file.  */
-#undef HAVE_SYS_TIME_H
-
-/* Define if you have the <unistd.h> header file.  */
-#undef HAVE_UNISTD_H
-
-/* Define if you have the <pthread.h> header file and the pthread library.  */
-#undef HAVE_PTHREAD
-
-/* Define if you can have the pthread_attr_setstacksize function.  */
-#undef HAVE_PTHREAD_ATTR_SETSTACKSIZE
-
-/* Define if you can have the pthread_attr_getstacksize function.  */
-#undef HAVE_PTHREAD_ATTR_GETSTACKSIZE
-
-/* Define if you can have the pthread_attr_getscope function.  */
-#undef HAVE_PTHREAD_ATTR_GETSCOPE
-
-/* Define if you can have the pthread_attr_setscope function.  */
-#undef HAVE_PTHREAD_ATTR_SETSCOPE
-
-/* Define if you can have the pthread_attr_getinheritsched function.  */
-#undef HAVE_PTHREAD_ATTR_GETINHERITSCHED
-
-/* Define if you can have the pthread_attr_setinheritsched function.  */
-#undef HAVE_PTHREAD_ATTR_SETINHERITSCHED
-
-/* Define if you can have the pthread_attr_setschedpolicy function.  */
-#undef HAVE_PTHREAD_ATTR_SETSCHEDPOLICY
-
-/* Define if you can have the pthread_attr_getschedpolicy function.  */
-#undef HAVE_PTHREAD_ATTR_GETSCHEDPOLICY
-
-/* Define if you can have the pthread_attr_setschedparam function.  */
-#undef HAVE_PTHREAD_ATTR_SETSCHEDPARAM
-
-/* Define if you can have the pthread_attr_getschedparam function.  */
-#undef HAVE_PTHREAD_ATTR_GETSCHEDPARAM
-
-/* Define if you can have the sched_get_priority_max function.  */
-#undef HAVE_SCHED_GET_PRIORITY_MAX
-
-/* Define if you can have the sched_get_priority_min function.  */
-#undef HAVE_SCHED_GET_PRIORITY_MIN
-
-/* Define if you have the NIAMA library.  */
-#undef HAVE_NIAMA
-
-/* Define if you have the <mpi.h> header file and library.  */
-#undef HAVE_MPI
-
-/* Define if you have the MPI_Init_thread routine.  */
-#undef HAVE_MPI_INIT_THREAD
-
-/* Set to the MPI macro defined the desired threading support level.  */
-#undef SC_MPI_THREAD_LEVEL
-
-/* Define if you have the <armci.h> header file and library.  */
-#undef HAVE_ARMCI
-
-/* Define if you have the libint header file and library.  */
-#undef HAVE_LIBINT
-
-/* Define if you have the libr12 header file and library.  */
-#undef HAVE_LIBR12
-
-/* Define if you have the libderiv header file and library.  */
-#undef HAVE_LIBDERIV
-
-/* Define if your MPI implementation has MPI-IO functions */
-#undef HAVE_MPIIO
-
-/* Define if you have the <perf.h> header file and library.  */
-#undef HAVE_PERF
-
-/* Define if you have <execinfo.h> backtrace and backtrace_symbol_fd.  */
-#undef HAVE_BACKTRACE
-
-/* Define if MPIMessageGrp should be used by default. */
-#undef DEFAULT_MPI
-
-/* Define if MTMPIMemoryGrp should be used by default. */
-#undef DEFAULT_MTMPI
-
-/* Define if ARMCIMemoryGrp should be used by default. */
-#undef DEFAULT_ARMCI
-
-/* Define if is MPI is always used (needed if MPI_Init is used to
-   initialize argument list). */
-#undef ALWAYS_USE_MPI
-
-/* Define if you have the m library (-lm).  */
-#undef HAVE_LIBM
-
-/* Define if you have the sun library (-lsun).  */
-#undef HAVE_LIBSUN
-
-/* Define if you have the fl library (-lfl).  */
-#undef HAVE_LIBFL
-
-/* Define if you have the dl library (-ldl).  */
-#undef HAVE_LIBDL
-
-/* Define if you have the <dlfcn.h> header file.  */
-#undef HAVE_DLFCN_H
-
-/* Define if you have LAPACK
- */
-#undef HAVE_LAPACK
-
-/* Define if you have the Scalable BLAS package and everything needed for it.
- */
-#undef HAVE_SCALABLE_BLAS
-
-/* Define if machine byte order is big endian. */
-#undef WORDS_BIGENDIAN
-
-/* The host architecture. */
-#undef HOST_ARCH
-
-/* The target architecture. */
-#undef TARGET_ARCH
-
-/* The version number. */
-#undef SC_VERSION
-
-/* The major version number. */
-#undef SC_MAJOR_VERSION
-
-/* The minor version number. */
-#undef SC_MINOR_VERSION
-
-/* The micro version number. */
-#undef SC_MICRO_VERSION
-
-/* The buildid. */
-#undef SC_BUILDID
-
-/* The library directory in the src distribution. */
-#undef SRC_SCLIBDIR
-
-/* The installed location of the library directory. */
-#undef INSTALLED_SCLIBDIR
-
-/* The location of architecture independent files. */
-#undef SCDATADIR
-
-/* The default memory allocation, in bytes. */
-#undef DEFAULT_SC_MEMORY
-
-/* Define if template should be explicitly instantiated.  */
-#undef EXPLICIT_TEMPLATE_INSTANTIATION
-
-/* Define if the C++ keywork "typename" exists.  */
-#undef HAVE_TYPENAME
-
-#ifdef __cplusplus
-#  ifndef HAVE_TYPENAME
-#    define typename
-#  endif
-#endif
-
-/* Set to true if "using namespace std" needed to access ostream, etc.  */
-#undef USING_NAMESPACE_STD
-
-#endif /* _CONFIG_H */
-
-/* 
- * Local Variables:
- * mode: c++
- * End:
- */
+/* "remove usage of absent typename keyword by empty define" */
+#undef typename