Index: src/UIElements/CommandLineUI/CommandLineParser.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.hpp	(revision fec3813f626b40a0ef8ea6647dd2536bc93a711d)
+++ src/UIElements/CommandLineUI/CommandLineParser.hpp	(revision 552597fe713aa65c498025df8719af1f913e8a62)
@@ -25,5 +25,5 @@
 
 class Action;
-class CommandLineParser_ActionRegistry_ConsistenyTest;
+class CommandLineParser_ActionRegistry_ConsistencyTest;
 class OptionTrait;
 
@@ -102,5 +102,5 @@
 
   //!> test needs to access CmdParserLookup to see whether menus are missing
-  friend class CommandLineParser_ActionRegistry_ConsistenyTest;
+  friend class CommandLineParser_ActionRegistry_ConsistencyTest;
 public:
 
Index: src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp
===================================================================
--- src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp	(revision 552597fe713aa65c498025df8719af1f913e8a62)
+++ src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp	(revision 552597fe713aa65c498025df8719af1f913e8a62)
@@ -0,0 +1,92 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp
+ *
+ *  Created on: Nov 25, 2009
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "Actions/Action.hpp"
+#include "Actions/ActionRegistry.hpp"
+#include "Actions/ActionTraits.hpp"
+#include "UIElements/CommandLineUI/CommandLineParser.hpp"
+
+#include "CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( CommandLineParser_ActionRegistry_ConsistencyTest );
+
+
+void CommandLineParser_ActionRegistry_ConsistencyTest::setUp()
+{
+  AR = ActionRegistry::getPointer();
+  CLP = CommandLineParser::getPointer();
+};
+
+
+void CommandLineParser_ActionRegistry_ConsistencyTest::tearDown()
+{
+  CommandLineParser::purgeInstance();
+  ActionRegistry::purgeInstance();
+};
+
+/** UnitTest for consistency.
+ * Here, we check that for each desired menu, stored in the Actions and
+ * accessible via the ActionRegistry, there is a boost::program_options
+ * present in the CommandLineParser (this is not necessarily one-and-onto,
+ * there might be more program_options maps).
+ */
+void CommandLineParser_ActionRegistry_ConsistencyTest::ConsistencyCheck()
+{
+  std::set <std::string> MenuNames_from_CommandLineParser;
+  std::set <std::string> MenuNames_from_ActionRegistry;
+
+  // go through all Actions and gather menu names
+  for (ActionRegistry::const_iterator iter = AR->getBeginIter();
+      iter != AR->getEndIter();
+      ++iter) {
+    const std::string &MenuName = (iter->second)->Traits.getMenuName();
+    MenuNames_from_ActionRegistry.insert(MenuName);
+  }
+
+  // go through all Command line menus and gather all option names
+  for (CommandLineParser::CmdParserLookupMap::const_iterator iter = CLP->CmdParserLookup.begin();
+      iter != CLP->CmdParserLookup.end();
+      ++iter) {
+    const std::string &MenuName = (iter->first);
+    MenuNames_from_CommandLineParser.insert(MenuName);
+  }
+
+
+  for (std::set <std::string>::const_iterator ARiter = MenuNames_from_ActionRegistry.begin();
+      ARiter != MenuNames_from_ActionRegistry.end();
+      ++ARiter) {
+    CPPUNIT_ASSERT_MESSAGE(*ARiter
+        +" cannot be found in the CommandLineParser.\n"
+        +"Have you added a program_options map to CommandLineParser for this menu?",
+        MenuNames_from_CommandLineParser.count(*ARiter));
+  }
+};
Index: src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp
===================================================================
--- src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp	(revision 552597fe713aa65c498025df8719af1f913e8a62)
+++ src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp	(revision 552597fe713aa65c498025df8719af1f913e8a62)
@@ -0,0 +1,41 @@
+/*
+ * CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp.hpp
+ *
+ *  Created on: Nov 25, 2009
+ *      Author: heber
+ */
+
+#ifndef COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_
+#define COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <cppunit/extensions/HelperMacros.h>
+
+
+class ActionRegistry;
+class CommandLineParser;
+
+/********************************************** Test classes **************************************/
+
+class CommandLineParser_ActionRegistry_ConsistencyTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( CommandLineParser_ActionRegistry_ConsistencyTest) ;
+    CPPUNIT_TEST ( ConsistencyCheck );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void ConsistencyCheck();
+
+private:
+      ActionRegistry *AR;
+      CommandLineParser *CLP;
+};
+
+#endif /* COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_ */
Index: src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp
===================================================================
--- src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp	(revision fec3813f626b40a0ef8ea6647dd2536bc93a711d)
+++ 	(revision )
@@ -1,92 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp
- *
- *  Created on: Nov 25, 2009
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-using namespace std;
-
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-
-#include "Actions/Action.hpp"
-#include "Actions/ActionRegistry.hpp"
-#include "Actions/ActionTraits.hpp"
-#include "UIElements/CommandLineUI/CommandLineParser.hpp"
-
-#include "CommandLineParser_ActionRegistry_ConsistenyUnitTest.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-/********************************************** Test classes **************************************/
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( CommandLineParser_ActionRegistry_ConsistenyTest );
-
-
-void CommandLineParser_ActionRegistry_ConsistenyTest::setUp()
-{
-  AR = ActionRegistry::getPointer();
-  CLP = CommandLineParser::getPointer();
-};
-
-
-void CommandLineParser_ActionRegistry_ConsistenyTest::tearDown()
-{
-  CommandLineParser::purgeInstance();
-  ActionRegistry::purgeInstance();
-};
-
-/** UnitTest for consistency.
- * Here, we check that for each desired menu, stored in the Actions and
- * accessible via the ActionRegistry, there is a boost::program_options
- * present in the CommandLineParser (this is not necessarily one-and-onto,
- * there might be more program_options maps).
- */
-void CommandLineParser_ActionRegistry_ConsistenyTest::ConsistencyCheck()
-{
-  std::set <std::string> MenuNames_from_CommandLineParser;
-  std::set <std::string> MenuNames_from_ActionRegistry;
-
-  // go through all Actions and gather menu names
-  for (ActionRegistry::const_iterator iter = AR->getBeginIter();
-      iter != AR->getEndIter();
-      ++iter) {
-    const std::string &MenuName = (iter->second)->Traits.getMenuName();
-    MenuNames_from_ActionRegistry.insert(MenuName);
-  }
-
-  // go through all Command line menus and gather all option names
-  for (CommandLineParser::CmdParserLookupMap::const_iterator iter = CLP->CmdParserLookup.begin();
-      iter != CLP->CmdParserLookup.end();
-      ++iter) {
-    const std::string &MenuName = (iter->first);
-    MenuNames_from_CommandLineParser.insert(MenuName);
-  }
-
-
-  for (std::set <std::string>::const_iterator ARiter = MenuNames_from_ActionRegistry.begin();
-      ARiter != MenuNames_from_ActionRegistry.end();
-      ++ARiter) {
-    CPPUNIT_ASSERT_MESSAGE(*ARiter
-        +" cannot be found in the CommandLineParser.\n"
-        +"Have you added a program_options map to CommandLineParser for this menu?",
-        MenuNames_from_CommandLineParser.count(*ARiter));
-  }
-};
Index: src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.hpp
===================================================================
--- src/UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.hpp	(revision fec3813f626b40a0ef8ea6647dd2536bc93a711d)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/*
- * CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp.hpp
- *
- *  Created on: Nov 25, 2009
- *      Author: heber
- */
-
-#ifndef COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_
-#define COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <cppunit/extensions/HelperMacros.h>
-
-
-class ActionRegistry;
-class CommandLineParser;
-
-/********************************************** Test classes **************************************/
-
-class CommandLineParser_ActionRegistry_ConsistenyTest : public CppUnit::TestFixture
-{
-    CPPUNIT_TEST_SUITE( CommandLineParser_ActionRegistry_ConsistenyTest) ;
-    CPPUNIT_TEST ( ConsistencyCheck );
-    CPPUNIT_TEST_SUITE_END();
-
-public:
-      void setUp();
-      void tearDown();
-      void ConsistencyCheck();
-
-private:
-      ActionRegistry *AR;
-      CommandLineParser *CLP;
-};
-
-#endif /* COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_ */
Index: src/UIElements/CommandLineUI/unittests/Makefile.am
===================================================================
--- src/UIElements/CommandLineUI/unittests/Makefile.am	(revision fec3813f626b40a0ef8ea6647dd2536bc93a711d)
+++ src/UIElements/CommandLineUI/unittests/Makefile.am	(revision 552597fe713aa65c498025df8719af1f913e8a62)
@@ -3,8 +3,8 @@
 
 UIELEMENTSCOMMANDLINEPARSERTESTSSOURCES = \
-  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp
+  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp
 
 UIELEMENTSCOMMANDLINEPARSERTESTSHEADERS = \
-  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.hpp
+  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp
 
 UIELEMENTSCOMMANDLINEPARSERTESTS = \
@@ -16,6 +16,6 @@
 
 CommandLineParser_ActionRegistry_ConsistencyUnitTest_SOURCES =  $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp \
-  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistenyUnitTest.hpp
+  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp \
+  ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp
 CommandLineParser_ActionRegistry_ConsistencyUnitTest_LDADD = \
   ../libMolecuilderUI.la \