Index: src/Actions/AtomAction/TranslateAction.cpp
===================================================================
--- src/Actions/AtomAction/TranslateAction.cpp	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ src/Actions/AtomAction/TranslateAction.cpp	(revision 712886d5dd98ceec6ac7c744cfb1e679619b80cc)
@@ -49,5 +49,5 @@
     *(*iter) += params.x;
     if (params.periodic)
-      (*iter)->setPosition(domain.WrapPeriodically((*iter)->getPosition()));
+      (*iter)->setPosition(domain.enforceBoundaryConditions((*iter)->getPosition()));
   }
 
@@ -62,5 +62,5 @@
     *(*iter) -= state->params.x;
     if (state->params.periodic)
-      (*iter)->setPosition(domain.WrapPeriodically((*iter)->getPosition()));
+      (*iter)->setPosition(domain.enforceBoundaryConditions((*iter)->getPosition()));
   }
 
@@ -75,5 +75,5 @@
     *(*iter) += state->params.x;
     if (state->params.periodic)
-      (*iter)->setPosition(domain.WrapPeriodically((*iter)->getPosition()));
+      (*iter)->setPosition(domain.enforceBoundaryConditions((*iter)->getPosition()));
   }
 
Index: src/Box.cpp
===================================================================
--- src/Box.cpp	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ src/Box.cpp	(revision 712886d5dd98ceec6ac7c744cfb1e679619b80cc)
@@ -132,5 +132,5 @@
 }
 
-Vector Box::WrapPeriodically(const Vector &point) const{
+Vector Box::enforceBoundaryConditions(const Vector &point) const{
   Vector helper = translateOut(point);
   for(int i=NDIM;i--;){
@@ -273,6 +273,6 @@
 
 const Vector Box::periodicDistanceVector(const Vector &point1,const Vector &point2) const{
-  Vector helper1(!isInside(point1) ? WrapPeriodically(point1) : point1);
-  Vector helper2(!isInside(point2) ? WrapPeriodically(point2) : point2);
+  Vector helper1(enforceBoundaryConditions(point1));
+  Vector helper2(enforceBoundaryConditions(point2));
   internal_explode(helper1,1);
   const Vector res = internal_list.minDistance(helper2);
Index: src/Box.hpp
===================================================================
--- src/Box.hpp	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ src/Box.hpp	(revision 712886d5dd98ceec6ac7c744cfb1e679619b80cc)
@@ -80,5 +80,5 @@
    * Wrap a point so that it will lie within the space defined by the box.
    */
-  Vector WrapPeriodically(const Vector &point) const;
+  Vector enforceBoundaryConditions(const Vector &point) const;
 
   /**
Index: src/LinkedCell/unittests/stubs/ObserverBoxStub.cpp
===================================================================
--- src/LinkedCell/unittests/stubs/ObserverBoxStub.cpp	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ src/LinkedCell/unittests/stubs/ObserverBoxStub.cpp	(revision 712886d5dd98ceec6ac7c744cfb1e679619b80cc)
@@ -56,5 +56,5 @@
 }
 
-Vector Box::WrapPeriodically(const Vector &point) const{
+Vector Box::enforceBoundaryConditions(const Vector &point) const{
   return point;
 }
Index: src/molecule_geometry.cpp
===================================================================
--- src/molecule_geometry.cpp	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ src/molecule_geometry.cpp	(revision 712886d5dd98ceec6ac7c744cfb1e679619b80cc)
@@ -63,5 +63,5 @@
       LOG(4, "INFO: atom after is at " << **iter);
   }
-  getAtomSet().transformNodes(boost::bind(&Box::WrapPeriodically,domain,_1));
+  getAtomSet().transformNodes(boost::bind(&Box::enforceBoundaryConditions,domain,_1));
 
   delete(Center);
@@ -80,5 +80,5 @@
 
   // go through all atoms
-  getAtomSet().transformNodes(boost::bind(&Box::WrapPeriodically,domain,_1));
+  getAtomSet().transformNodes(boost::bind(&Box::enforceBoundaryConditions,domain,_1));
 
   return status;
@@ -339,5 +339,5 @@
     **iter += *trans;
   }
-  getAtomSet().transformNodes(boost::bind(&Box::WrapPeriodically,domain,_1));
+  getAtomSet().transformNodes(boost::bind(&Box::enforceBoundaryConditions,domain,_1));
 
 };
Index: src/unittests/BoxUnitTest.cpp
===================================================================
--- src/unittests/BoxUnitTest.cpp	(revision 7b9fe02f188ea36f9ddfa24ea27ca27e3b422059)
+++ src/unittests/BoxUnitTest.cpp	(revision 712886d5dd98ceec6ac7c744cfb1e679619b80cc)
@@ -480,7 +480,7 @@
 bool testWrapExplode(VECTORSET(std::vector) &set,Vector &point, Box* box){
   bool res = true;
-  Vector wrappedPoint = box->WrapPeriodically(point);
+  Vector wrappedPoint = box->enforceBoundaryConditions(point);
   for(std::vector<Vector>::iterator iter = set.begin(); iter!=set.end();++iter){
-    Vector wrapped = box->WrapPeriodically(*iter);
+    Vector wrapped = box->enforceBoundaryConditions(*iter);
     bool equals = (wrapped == wrappedPoint);
     res = res && equals;