Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - All Molecules])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-all-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Selection - All Molecules with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-all-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Selection - All Molecules with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-all-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
Index: tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All Molecules])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-all-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - All Molecules with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-all-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - All Molecules with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-all-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/AllMolecules"
Index: tests/regression/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Clear molecule selection])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,clear-molecule-selection])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/ClearMolecules"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Selection - Clear molecule selection with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,clear-molecule-selection,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/ClearMolecules"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Selection - Clear molecule selection with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,clear-molecule-selection,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/ClearMolecules"
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by formula])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-formula])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -33,5 +33,5 @@
 
 AT_SETUP([Selection - Molecule by formula with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-formula,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -63,5 +63,5 @@
 
 AT_SETUP([Selection - Molecule by formula with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-formula,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
Index: tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by formula])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-formula])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -33,5 +33,5 @@
 
 AT_SETUP([Unselection - Molecule by formula with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-formula,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
@@ -63,5 +63,5 @@
 
 AT_SETUP([Unselection - Molecule by formula with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-formula,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByFormula"
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by id])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-id])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Selection - Molecule by id with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-id,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Selection - Molecule by id with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-id,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
Index: tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by id])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-id])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - Molecule by id with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-id,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - Molecule by id with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-id,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeById"
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - Molecules by name])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-name])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -16,5 +16,5 @@
 
 AT_SETUP([Selection - Molecules by name with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-name,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -30,5 +30,5 @@
 
 AT_SETUP([Selection - Molecules by name with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecules-by-name,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
Index: tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecules by name])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-name])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - Molecules by name with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-name,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - Molecules by name with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecules-by-name,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByName"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by order, backward])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Selection - Molecule by order, backward with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Selection - Molecule by order, backward with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - Molecule by order, forward])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Selection - Molecule by order, forward with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Selection - Molecule by order, forward with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by order, backward])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Unselection - Molecule by order, backward with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Unselection - Molecule by order, backward with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecule by order, forward])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -25,5 +25,5 @@
 
 AT_SETUP([Unselection - Molecule by order, forward with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
@@ -47,5 +47,5 @@
 
 AT_SETUP([Unselection - Molecule by order, forward with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-molecule-by-order,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeByOrder"
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - Molecules by atom selection])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-atoms-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -16,5 +16,5 @@
 
 AT_SETUP([Selection - Molecules by atom selection with Undo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-atoms-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -30,5 +30,5 @@
 
 AT_SETUP([Selection - Molecules by atom selection with Redo])
-AT_KEYWORDS([selection,molecule])
+AT_KEYWORDS([selection,molecule,select-atoms-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
Index: tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at
===================================================================
--- tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - Molecules by atom selection])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-atoms-molecules])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -17,5 +17,5 @@
 
 AT_SETUP([Unselection - Molecules by atom selection with Undo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-atoms-molecules,undo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"
@@ -31,5 +31,5 @@
 
 AT_SETUP([Unselection - Molecules by atom selection with Redo])
-AT_KEYWORDS([unselection,molecule])
+AT_KEYWORDS([unselection,molecule,unselect-atoms-molecules,redo])
 
 regressionpath="${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Molecules/MoleculeOfAtom"